Page 1 of 6 123 ... LastLast
Results 1 to 10 of 60

Thread: 4.16.2 + nvidia

  1. #1
    Join Date
    Feb 2018
    Location
    Romania
    Posts
    399

    Default 4.16.2 + nvidia

    Update to last kernel 4.16.2.
    Install Nvidia hard way.
    I have an error with nvidia-installer when "Performing CC sanity check with CC="/usr/bin/cc". Not find kernel in /usr/src/. It said that kernel is not configured.
    I searched in /lib/modules/. There is kernel 4.15.13-2, 4.16.0-1 and 4.16.1-1. Not 4.16.2.
    After I search in nvidia-installer.log, I see that after performing cc sanity check, there is a 2 lines with kernel source path: '/lib/modules/4.16.0-1-default/source and /build (I installed with this kernel after error).
    I think that nvidia cannot install because these modules for kernel 4.16.2 not exist.
    Thank you.

  2. #2

    Default Re: 4.16.2 + nvidia

    Similar problem here. I booted to run level 3, ran zypper dup from snapshot 20180410 with the patched 390.48 kernel registered in dkms, rebooted, hit a blank screen. Restored 20180407 snapshot (which had the driver installed without dkms, for whatever that's worth), installed the patched 390.48 driver immediately after zypper dup, then played a hunch, again booted to run level 3, and tried installing the driver once more.

    Wouldn't work this time; failed install. The hand-copied error message, also in the log file:

    Code:
    Neither the '/usr/src/linux/include/linux/version.h' nor the '/usr/src/linux/include/generated/uapi/linux/version.h' kernel header file exists.  The most likely reason for this is that the kernel source files in /usr/src/linux have not been configured.
    Like another_roadrunner, I installed nvidia 'the hard way.'

  3. #3
    Join Date
    Feb 2018
    Location
    Romania
    Posts
    399

    Default Re: 4.16.2 + nvidia

    The same message here.
    After, I booted from 4.16.1 kernel, install Nvidia (396 not 390) in hard way and works.
    Off-topic. What log had that message?

  4. #4
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    3,198

    Default AW: 4.16.2 + nvidia

    Post:
    Code:
    zypper se -s kernel
    Maybe kernel 4.16.2 is not published completely?
    I do not find kernel-default 4.16.2:
    https://download.opensuse.org/tumble...po/oss/x86_64/
    Last edited by Sauerland; 17-Apr-2018 at 13:09.

  5. #5
    Join Date
    Feb 2018
    Location
    IT
    Posts
    192

    Default Re: 4.16.2 + nvidia

    Good to know, in the meantime block the Kernel update
    ------------------------------------
    Correct me if I'm wrong .
    ------------------------------------

  6. #6

    Default Re: 4.16.2 + nvidia

    I updated today to 20180416 which got kernel 4.16.1-1 but that also failed to build nvidia driver. Selecting 4.16.0-1 let me boot to KDE.

  7. #7
    Join Date
    Feb 2018
    Location
    Romania
    Posts
    399

    Default Re: 4.16.2 + nvidia

    Code:
    S  | Name                             | Type    | Version                | Arch   | Repository              
    ---+----------------------------------+---------+------------------------+--------+------------------------
    i+ | devel_kernel                     | pattern | 20170319-4.2           | x86_64 | openSUSE-Tumbleweed-Oss
    v  | devel_kernel                     | pattern | 20170319-4.2           | i586   | openSUSE-Tumbleweed-Oss
       | kernel-coverage                  | package | 0.1-73.5               | noarch | openSUSE-Tumbleweed-Oss
       | kernel-debug                     | package | 4.16.2-1.5             | x86_64 | openSUSE-Tumbleweed-Oss
       | kernel-debug                     | package | 4.16.2-1.5             | i686   | openSUSE-Tumbleweed-Oss
       | kernel-debug-base                | package | 4.16.2-1.5             | x86_64 | openSUSE-Tumbleweed-Oss
       | kernel-debug-base                | package | 4.16.2-1.5             | i686   | openSUSE-Tumbleweed-Oss
       | kernel-debug-devel               | package | 4.16.2-1.5             | x86_64 | openSUSE-Tumbleweed-Oss
       | kernel-debug-devel               | package | 4.16.2-1.5             | i686   | openSUSE-Tumbleweed-Oss
    i+ | kernel-default                   | package | 4.16.0-1.6             | x86_64 | (System Packages)       
    i+ | kernel-default                   | package | 4.16.1-1.6             | x86_64 | openSUSE-Tumbleweed-Oss
    v  | kernel-default                   | package | 4.16.2-1.5             | i586   | openSUSE-Tumbleweed-Oss
       | kernel-default-base              | package | 4.16.1-1.6             | x86_64 | openSUSE-Tumbleweed-Oss
       | kernel-default-base              | package | 4.16.2-1.5             | i586   | openSUSE-Tumbleweed-Oss
    i  | kernel-default-devel             | package | 4.16.0-1.6             | x86_64 | (System Packages)       
    v  | kernel-default-devel             | package | 4.16.1-1.6             | x86_64 | openSUSE-Tumbleweed-Oss
    v  | kernel-default-devel             | package | 4.16.2-1.5             | i586   | openSUSE-Tumbleweed-Oss
    i  | kernel-devel                     | package | 4.16.0-1.6             | noarch | (System Packages)       
    i  | kernel-devel                     | package | 4.16.2-1.5             | noarch | openSUSE-Tumbleweed-Oss
       | kernel-docs                      | package | 4.16.2-1.5             | noarch | openSUSE-Tumbleweed-Oss
       | kernel-docs-html                 | package | 4.16.2-1.5             | noarch | openSUSE-Tumbleweed-Oss
    i  | kernel-firmware                  | package | 20180402-1.1           | noarch | openSUSE-Tumbleweed-Oss
       | kernel-kvmsmall                  | package | 4.16.2-1.5             | x86_64 | openSUSE-Tumbleweed-Oss
       | kernel-kvmsmall-base             | package | 4.16.2-1.5             | x86_64 | openSUSE-Tumbleweed-Oss
       | kernel-kvmsmall-devel            | package | 4.16.2-1.5             | x86_64 | openSUSE-Tumbleweed-Oss
    i  | kernel-macros                    | package | 4.16.2-1.5             | noarch | openSUSE-Tumbleweed-Oss
       | kernel-obs-build                 | package | 4.16.1-1.6             | x86_64 | openSUSE-Tumbleweed-Oss
       | kernel-obs-build                 | package | 4.16.2-1.5             | i586   | openSUSE-Tumbleweed-Oss
       | kernel-obs-qa                    | package | 4.16.2-1.5             | x86_64 | openSUSE-Tumbleweed-Oss                                                              
       | kernel-obs-qa                    | package | 4.16.2-1.5             | i586   | openSUSE-Tumbleweed-Oss                                                              
       | kernel-pae                       | package | 4.16.2-1.5             | i686   | openSUSE-Tumbleweed-Oss                                                              
       | kernel-pae-base                  | package | 4.16.2-1.5             | i686   | openSUSE-Tumbleweed-Oss                                                              
       | kernel-pae-devel                 | package | 4.16.2-1.5             | i686   | openSUSE-Tumbleweed-Oss                                                              
    i+ | kernel-source                    | package | 4.16.0-1.6             | noarch | (System Packages)                                                                    
    i+ | kernel-source                    | package | 4.16.2-1.5             | noarch | openSUSE-Tumbleweed-Oss                                                              
       | kernel-source-vanilla            | package | 4.16.2-1.5             | noarch | openSUSE-Tumbleweed-Oss
    i  | kernel-syms                      | package | 4.16.0-1.6             | x86_64 | (System Packages)       
    i  | kernel-syms                      | package | 4.16.0-1.5             | x86_64 | (System Packages)       
    v  | kernel-syms                      | package | 4.16.2-1.5             | x86_64 | openSUSE-Tumbleweed-Oss
    v  | kernel-syms                      | package | 4.16.2-1.5             | i586   | openSUSE-Tumbleweed-Oss
       | kernel-syzkaller                 | package | 4.16.2-1.5             | x86_64 | openSUSE-Tumbleweed-Oss
       | kernel-syzkaller-base            | package | 4.16.2-1.5             | x86_64 | openSUSE-Tumbleweed-Oss
       | kernel-syzkaller-devel           | package | 4.16.2-1.5             | x86_64 | openSUSE-Tumbleweed-Oss
       | kernel-vanilla                   | package | 4.16.1-1.6             | x86_64 | openSUSE-Tumbleweed-Oss
       | kernel-vanilla                   | package | 4.16.2-1.5             | i686   | openSUSE-Tumbleweed-Oss
       | kernel-vanilla-base              | package | 4.16.1-1.6             | x86_64 | openSUSE-Tumbleweed-Oss
       | kernel-vanilla-devel             | package | 4.16.1-1.6             | x86_64 | openSUSE-Tumbleweed-Oss
       | kernel-vanilla-devel             | package | 4.16.2-1.5             | i686   | openSUSE-Tumbleweed-Oss
       | kernelshark                      | package | 2.6.1-2.2              | x86_64 | openSUSE-Tumbleweed-Oss
       | kernelshark                      | package | 2.6.1-2.2              | i586   | openSUSE-Tumbleweed-Oss
       | lirc-disable-kernel-rc           | package | 0.9.4c-2.1             | x86_64 | openSUSE-Tumbleweed-Oss
       | lirc-disable-kernel-rc           | package | 0.9.4c-2.1             | i586   | openSUSE-Tumbleweed-Oss
       | nfs-kernel-server                | package | 2.1.1-5.2              | x86_64 | openSUSE-Tumbleweed-Oss
       | nfs-kernel-server                | package | 2.1.1-5.2              | i586   | openSUSE-Tumbleweed-Oss
       | openafs-kernel-source            | package | 1.8.0~pre5-1.8         | x86_64 | openSUSE-Tumbleweed-Oss
       | openafs-kernel-source            | package | 1.8.0~pre5-1.10        | i586   | openSUSE-Tumbleweed-Oss
    i+ | patterns-devel-base-devel_kernel | package | 20170319-4.2           | x86_64 | openSUSE-Tumbleweed-Oss
    v  | patterns-devel-base-devel_kernel | package | 20170319-4.2           | i586   | openSUSE-Tumbleweed-Oss
       | python-jupyter_ipykernel-doc     | package | 4.8.2-1.2              | noarch | openSUSE-Tumbleweed-Oss
       | python2-jupyter_ipykernel        | package | 4.8.2-1.2              | noarch | openSUSE-Tumbleweed-Oss
       | python2-jupyter_metakernel       | package | 0.20.14-1.1            | noarch | openSUSE-Tumbleweed-Oss
       | python2-jupyter_octave_kernel    | package | 0.28.0-2.1             | noarch | openSUSE-Tumbleweed-Oss
       | python3-jupyter_ipykernel        | package | 4.8.2-1.2              | noarch | openSUSE-Tumbleweed-Oss
       | python3-jupyter_metakernel       | package | 0.20.14-1.1            | noarch | openSUSE-Tumbleweed-Oss
       | python3-jupyter_octave_kernel    | package | 0.28.0-2.1             | noarch | openSUSE-Tumbleweed-Oss
       | texlive-l3kernel                 | package | 2017.136.svn44483-39.1 | noarch | openSUSE-Tumbleweed-Oss
       | texlive-l3kernel-doc             | package | 2017.136.svn44483-39.1 | noarch | openSUSE-Tumbleweed-Oss
    
    That is zypper se -s kernel.
    It seems that I am wrong, sorry. My boot have kernel 4.16.0-1 and 4.16.1-1, not 4.16.2. But the problem still exist.

  8. #8
    Join Date
    Feb 2018
    Location
    Romania
    Posts
    399

    Default Re: 4.16.2 + nvidia

    Now:

    Code:
    zypper -vvv dup
    Verbosity: 3
    Warning: You are about to do a distribution upgrade with all enabled repositories. Make sure these repositories are compatible before you continue. See 'man zypper' for
     more information about this command.
    Initializing Target
    Checking whether to refresh metadata for google-chrome
    Checking whether to refresh metadata for Packman Repository
    Checking whether to refresh metadata for openSUSE-Tumbleweed-Non-Oss
    Checking whether to refresh metadata for openSUSE-Tumbleweed-Oss
    Checking whether to refresh metadata for openSUSE-Tumbleweed-Update
    Loading repository data...
    Reading installed packages...
    Computing distribution upgrade...
    Force resolution: No
    Computing upgrade...
    
    Problem: nothing provides kernel-devel = 4.16.1-1 needed by kernel-default-devel-4.16.1-1.6.x86_64
     Solution 1: Following actions will be done:
      deinstallation of kernel-default-devel-4.16.0-1.6.x86_64
      deinstallation of kernel-syms-4.16.0-1.5.x86_64
     Solution 2: install kernel-default-devel-4.16.2-1.5.i586 despite the inferior architecture
     Solution 3: keep obsolete kernel-default-devel-4.16.0-1.6.x86_64
     Solution 4: break kernel-default-devel-4.16.1-1.6.x86_64 by ignoring some of its dependencies
    
    Choose from above solutions by number or cancel [1/2/3/4/c] (c): c
    I think that is: kernel-devel 4.16.1-1 is missing.

  9. #9

    Default Re: 4.16.2 + nvidia

    I never saw any message about kernel-devel from zypper though. Weird, I have kernel 4.16.1 but kernel-devel 4.16.2

  10. #10
    Join Date
    Feb 2018
    Location
    Romania
    Posts
    399

    Default Re: 4.16.2 + nvidia

    I have kernel-devel 4.16.0-1.6 and 4.16.2-1.5 and kernel-default-devel 4.16.0-1.6, 4.16.1-1.6-x86_64 and 4.16.2-1.5-i586.
    I think that we have to wait.
    Anyway, I wanted to warn people to wait.
    And seems that it works.

Page 1 of 6 123 ... LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •